var tables = {
	
	rowIndex: 0,
	rows: [],
	columnCount: 0,
	headerNames: "", 
	rowCount: 0,
	setTitle: function(title) {
		this.title = title;
	},
	setColumnCount: function(n) {
		this.columnCount = n;

	},
	setHeaderTitles: function(headerNames) {
		this.headerNames = headerNames;
	},
	setRowCount: function(n) {
		this.rowCount = n;
	},
	addRow: function() {
		if (!arguments) {
			console.error("Can't take zero arguments");
			return;
		}

		this.rows[this.rowIndex] = arguments; // přidáme podle indexu další řádek (všechny argumenty = pole = sloupce)
		this.rowIndex++;
	},
	addRowFromString: function(string) {

		var args = string.split(";");

		this.addRow.apply(this, args); // zabvoláme s libovolnym počtem argu
	},
	addRowsJSON: function(json) {
		var that = this;
		$.each(json, function(a, row) {
			if (row.length != that.columnCount) {
				console.error("Column count doesn't match given args count"); // pokud nesedí počty v argumentu vs nastavených sloupců
			}
			that.addRow.apply(that, row);
		});
	},
	createTable: function(id) {
		var html = "<h1 style='text-align:center'>"+this.title+"</h1><table border='1'><tr>";
		$(this.headerNames).each(function(a,b) {
			html += "<th>"+b+"</th>";
		});
		html += "</tr>";
		$(this.rows).each(function(a, b) {
			html += "<tr id='row-"+a+"'>";
			
			$(b).each(function(columnIndex, columnContent) {
				html += "<td class='i"+columnIndex+"'>"+columnContent+"</td>";
			});

			html += "</tr>";
		});
		html += "</table>";

		$("#"+id).html(html);

		$(this.rows).each(function(a, b) {
			$(b).each(function(columnIndex, columnContent) {
				
				$("#row-"+a+" .i"+columnIndex).mouseenter(function() {
					$(this).css("background-color", "skyblue");
				});
				$("#row-"+a+" .i"+columnIndex).mouseleave(function() {
					$(this).css("background-color", "white");
				});
			});
			$("#row-"+a+" td").dblclick(function() {
				var text = $(this).text();
				var field = $("<input type='text' class='changeablefield' />").val(text);
			
				$(this).html(field);
			});
		});
		
		
	} 

};

